
From: Dominik Brodowski <linux@dominikbrodowski.de>

Remove the "Attributes" entry of struct client_t -- _all_ in-kernel drivers
did set it to INFO_IO_CLIENT | INFO_CARD_SHARE anyway, and the pcmcia core
didn't care at all what this value was set to.

Also, remove the setting of the respective request field in all in-kernel 
drivers -- the request structure is kept the same, though, to keep external 
drivers compiling. 

Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/bluetooth/bluecard_cs.c    |    1 -
 25-akpm/drivers/bluetooth/bt3c_cs.c        |    1 -
 25-akpm/drivers/bluetooth/btuart_cs.c      |    1 -
 25-akpm/drivers/bluetooth/dtl1_cs.c        |    1 -
 25-akpm/drivers/char/pcmcia/synclink_cs.c  |    1 -
 25-akpm/drivers/ide/legacy/ide-cs.c        |    1 -
 25-akpm/drivers/isdn/hardware/avm/avm_cs.c |    1 -
 25-akpm/drivers/isdn/hisax/avma1_cs.c      |    1 -
 25-akpm/drivers/isdn/hisax/elsa_cs.c       |    1 -
 25-akpm/drivers/isdn/hisax/sedlbauer_cs.c  |    1 -
 25-akpm/drivers/isdn/hisax/teles_cs.c      |    1 -
 25-akpm/drivers/mtd/maps/pcmciamtd.c       |    1 -
 25-akpm/drivers/net/pcmcia/3c574_cs.c      |    1 -
 25-akpm/drivers/net/pcmcia/3c589_cs.c      |    1 -
 25-akpm/drivers/net/pcmcia/axnet_cs.c      |    1 -
 25-akpm/drivers/net/pcmcia/com20020_cs.c   |    1 -
 25-akpm/drivers/net/pcmcia/fmvj18x_cs.c    |    1 -
 25-akpm/drivers/net/pcmcia/ibmtr_cs.c      |    1 -
 25-akpm/drivers/net/pcmcia/nmclan_cs.c     |    1 -
 25-akpm/drivers/net/pcmcia/pcnet_cs.c      |    1 -
 25-akpm/drivers/net/pcmcia/smc91c92_cs.c   |    1 -
 25-akpm/drivers/net/pcmcia/xirc2ps_cs.c    |    1 -
 25-akpm/drivers/net/wireless/airo_cs.c     |    1 -
 25-akpm/drivers/net/wireless/atmel_cs.c    |    1 -
 25-akpm/drivers/net/wireless/netwave_cs.c  |    1 -
 25-akpm/drivers/net/wireless/orinoco_cs.c  |    1 -
 25-akpm/drivers/net/wireless/ray_cs.c      |    1 -
 25-akpm/drivers/net/wireless/wavelan_cs.c  |    1 -
 25-akpm/drivers/net/wireless/wl3501_cs.c   |    1 -
 25-akpm/drivers/parport/parport_cs.c       |    1 -
 25-akpm/drivers/pcmcia/ds.c                |    1 -
 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c |    1 -
 25-akpm/drivers/scsi/pcmcia/fdomain_stub.c |    1 -
 25-akpm/drivers/scsi/pcmcia/nsp_cs.c       |    1 -
 25-akpm/drivers/scsi/pcmcia/qlogic_stub.c  |    1 -
 25-akpm/drivers/scsi/pcmcia/sym53c500_cs.c |    1 -
 25-akpm/drivers/serial/serial_cs.c         |    1 -
 25-akpm/drivers/telephony/ixj_pcmcia.c     |    1 -
 25-akpm/include/pcmcia/cs.h                |    4 ++--
 25-akpm/include/pcmcia/ds.h                |    1 -
 25-akpm/sound/pcmcia/pdaudiocf/pdaudiocf.c |    1 -
 25-akpm/sound/pcmcia/vx/vx_entry.c         |    1 -
 42 files changed, 2 insertions(+), 43 deletions(-)

diff -puN drivers/bluetooth/bluecard_cs.c~pcmcia-remove-client_attributes drivers/bluetooth/bluecard_cs.c
--- 25/drivers/bluetooth/bluecard_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.750619816 -0800
+++ 25-akpm/drivers/bluetooth/bluecard_cs.c	2005-01-10 21:14:45.857603552 -0800
@@ -904,7 +904,6 @@ static dev_link_t *bluecard_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/bluetooth/bt3c_cs.c~pcmcia-remove-client_attributes drivers/bluetooth/bt3c_cs.c
--- 25/drivers/bluetooth/bt3c_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.751619664 -0800
+++ 25-akpm/drivers/bluetooth/bt3c_cs.c	2005-01-10 21:14:45.858603400 -0800
@@ -709,7 +709,6 @@ static dev_link_t *bt3c_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 	    CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	    CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/bluetooth/btuart_cs.c~pcmcia-remove-client_attributes drivers/bluetooth/btuart_cs.c
--- 25/drivers/bluetooth/btuart_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.753619360 -0800
+++ 25-akpm/drivers/bluetooth/btuart_cs.c	2005-01-10 21:14:45.859603248 -0800
@@ -628,7 +628,6 @@ static dev_link_t *btuart_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/bluetooth/dtl1_cs.c~pcmcia-remove-client_attributes drivers/bluetooth/dtl1_cs.c
--- 25/drivers/bluetooth/dtl1_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.754619208 -0800
+++ 25-akpm/drivers/bluetooth/dtl1_cs.c	2005-01-10 21:14:45.859603248 -0800
@@ -607,7 +607,6 @@ static dev_link_t *dtl1_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/char/pcmcia/synclink_cs.c~pcmcia-remove-client_attributes drivers/char/pcmcia/synclink_cs.c
--- 25/drivers/char/pcmcia/synclink_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.756618904 -0800
+++ 25-akpm/drivers/char/pcmcia/synclink_cs.c	2005-01-10 21:14:45.863602640 -0800
@@ -608,7 +608,6 @@ static dev_link_t *mgslpc_attach(void)
     dev_list = link;
 
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	    CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	    CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/ide/legacy/ide-cs.c~pcmcia-remove-client_attributes drivers/ide/legacy/ide-cs.c
--- 25/drivers/ide/legacy/ide-cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.757618752 -0800
+++ 25-akpm/drivers/ide/legacy/ide-cs.c	2005-01-10 21:14:45.863602640 -0800
@@ -144,7 +144,6 @@ static dev_link_t *ide_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/isdn/hardware/avm/avm_cs.c~pcmcia-remove-client_attributes drivers/isdn/hardware/avm/avm_cs.c
--- 25/drivers/isdn/hardware/avm/avm_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.759618448 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/avm_cs.c	2005-01-10 21:14:45.864602488 -0800
@@ -178,7 +178,6 @@ static dev_link_t *avmcs_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/isdn/hisax/avma1_cs.c~pcmcia-remove-client_attributes drivers/isdn/hisax/avma1_cs.c
--- 25/drivers/isdn/hisax/avma1_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.760618296 -0800
+++ 25-akpm/drivers/isdn/hisax/avma1_cs.c	2005-01-10 21:14:45.865602336 -0800
@@ -193,7 +193,6 @@ static dev_link_t *avma1cs_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/isdn/hisax/elsa_cs.c~pcmcia-remove-client_attributes drivers/isdn/hisax/elsa_cs.c
--- 25/drivers/isdn/hisax/elsa_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.761618144 -0800
+++ 25-akpm/drivers/isdn/hisax/elsa_cs.c	2005-01-10 21:14:45.865602336 -0800
@@ -227,7 +227,6 @@ static dev_link_t *elsa_cs_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
         CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
         CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/isdn/hisax/sedlbauer_cs.c~pcmcia-remove-client_attributes drivers/isdn/hisax/sedlbauer_cs.c
--- 25/drivers/isdn/hisax/sedlbauer_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.763617840 -0800
+++ 25-akpm/drivers/isdn/hisax/sedlbauer_cs.c	2005-01-10 21:14:45.866602184 -0800
@@ -240,7 +240,6 @@ static dev_link_t *sedlbauer_attach(void
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/isdn/hisax/teles_cs.c~pcmcia-remove-client_attributes drivers/isdn/hisax/teles_cs.c
--- 25/drivers/isdn/hisax/teles_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.764617688 -0800
+++ 25-akpm/drivers/isdn/hisax/teles_cs.c	2005-01-10 21:14:45.867602032 -0800
@@ -208,7 +208,6 @@ static dev_link_t *teles_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
         CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
         CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/mtd/maps/pcmciamtd.c~pcmcia-remove-client_attributes drivers/mtd/maps/pcmciamtd.c
--- 25/drivers/mtd/maps/pcmciamtd.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.765617536 -0800
+++ 25-akpm/drivers/mtd/maps/pcmciamtd.c	2005-01-10 21:14:45.868601880 -0800
@@ -800,7 +800,6 @@ static dev_link_t *pcmciamtd_attach(void
 
 	/* Register with Card Services */
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
diff -puN drivers/net/pcmcia/3c574_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/3c574_cs.c
--- 25/drivers/net/pcmcia/3c574_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.767617232 -0800
+++ 25-akpm/drivers/net/pcmcia/3c574_cs.c	2005-01-10 21:14:45.869601728 -0800
@@ -322,7 +322,6 @@ static dev_link_t *tc574_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 			CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/3c589_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/3c589_cs.c
--- 25/drivers/net/pcmcia/3c589_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.769616928 -0800
+++ 25-akpm/drivers/net/pcmcia/3c589_cs.c	2005-01-10 21:14:45.870601576 -0800
@@ -236,7 +236,6 @@ static dev_link_t *tc589_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/axnet_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/axnet_cs.c
--- 25/drivers/net/pcmcia/axnet_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.770616776 -0800
+++ 25-akpm/drivers/net/pcmcia/axnet_cs.c	2005-01-10 21:14:45.871601424 -0800
@@ -191,7 +191,6 @@ static dev_link_t *axnet_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/com20020_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/com20020_cs.c
--- 25/drivers/net/pcmcia/com20020_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.772616472 -0800
+++ 25-akpm/drivers/net/pcmcia/com20020_cs.c	2005-01-10 21:14:45.872601272 -0800
@@ -211,7 +211,6 @@ static dev_link_t *com20020_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
         CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
         CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/fmvj18x_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/fmvj18x_cs.c
--- 25/drivers/net/pcmcia/fmvj18x_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.773616320 -0800
+++ 25-akpm/drivers/net/pcmcia/fmvj18x_cs.c	2005-01-10 21:14:45.873601120 -0800
@@ -299,7 +299,6 @@ static dev_link_t *fmvj18x_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/ibmtr_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/ibmtr_cs.c
--- 25/drivers/net/pcmcia/ibmtr_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.781615104 -0800
+++ 25-akpm/drivers/net/pcmcia/ibmtr_cs.c	2005-01-10 21:14:45.873601120 -0800
@@ -204,7 +204,6 @@ static dev_link_t *ibmtr_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
         CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
         CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/nmclan_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/nmclan_cs.c
--- 25/drivers/net/pcmcia/nmclan_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.782614952 -0800
+++ 25-akpm/drivers/net/pcmcia/nmclan_cs.c	2005-01-10 21:14:45.875600816 -0800
@@ -512,7 +512,6 @@ static dev_link_t *nmclan_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/pcnet_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/pcnet_cs.c
--- 25/drivers/net/pcmcia/pcnet_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.784614648 -0800
+++ 25-akpm/drivers/net/pcmcia/pcnet_cs.c	2005-01-10 21:14:45.876600664 -0800
@@ -286,7 +286,6 @@ static dev_link_t *pcnet_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/pcmcia/smc91c92_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/smc91c92_cs.c
--- 25/drivers/net/pcmcia/smc91c92_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.785614496 -0800
+++ 25-akpm/drivers/net/pcmcia/smc91c92_cs.c	2005-01-10 21:14:45.878600360 -0800
@@ -374,7 +374,6 @@ static dev_link_t *smc91c92_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask = CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
 	CS_EVENT_PM_SUSPEND | CS_EVENT_PM_RESUME;
diff -puN drivers/net/pcmcia/xirc2ps_cs.c~pcmcia-remove-client_attributes drivers/net/pcmcia/xirc2ps_cs.c
--- 25/drivers/net/pcmcia/xirc2ps_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.787614192 -0800
+++ 25-akpm/drivers/net/pcmcia/xirc2ps_cs.c	2005-01-10 21:14:45.880600056 -0800
@@ -627,7 +627,6 @@ xirc2ps_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/airo_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/airo_cs.c
--- 25/drivers/net/wireless/airo_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.788614040 -0800
+++ 25-akpm/drivers/net/wireless/airo_cs.c	2005-01-10 21:14:45.880600056 -0800
@@ -225,7 +225,6 @@ static dev_link_t *airo_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/atmel_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/atmel_cs.c
--- 25/drivers/net/wireless/atmel_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.790613736 -0800
+++ 25-akpm/drivers/net/wireless/atmel_cs.c	2005-01-10 21:14:45.881599904 -0800
@@ -237,7 +237,6 @@ static dev_link_t *atmel_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/netwave_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/netwave_cs.c
--- 25/drivers/net/wireless/netwave_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.792613432 -0800
+++ 25-akpm/drivers/net/wireless/netwave_cs.c	2005-01-10 21:14:45.883599600 -0800
@@ -503,7 +503,6 @@ static dev_link_t *netwave_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/orinoco_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/orinoco_cs.c
--- 25/drivers/net/wireless/orinoco_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.793613280 -0800
+++ 25-akpm/drivers/net/wireless/orinoco_cs.c	2005-01-10 21:14:45.884599448 -0800
@@ -197,7 +197,6 @@ orinoco_cs_attach(void)
 	dev_list = link;
 
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/ray_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/ray_cs.c
--- 25/drivers/net/wireless/ray_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.795612976 -0800
+++ 25-akpm/drivers/net/wireless/ray_cs.c	2005-01-10 21:14:45.886599144 -0800
@@ -398,7 +398,6 @@ static dev_link_t *ray_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
         CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
         CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/net/wireless/wavelan_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/wavelan_cs.c
--- 25/drivers/net/wireless/wavelan_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.797612672 -0800
+++ 25-akpm/drivers/net/wireless/wavelan_cs.c	2005-01-10 21:14:45.890598536 -0800
@@ -4689,7 +4689,6 @@ wavelan_attach(void)
 
   /* Register with Card Services */
   client_reg.dev_info = &dev_info;
-  client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
   client_reg.EventMask = 
     CS_EVENT_REGISTRATION_COMPLETE |
     CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
diff -puN drivers/net/wireless/wl3501_cs.c~pcmcia-remove-client_attributes drivers/net/wireless/wl3501_cs.c
--- 25/drivers/net/wireless/wl3501_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.799612368 -0800
+++ 25-akpm/drivers/net/wireless/wl3501_cs.c	2005-01-10 21:14:45.892598232 -0800
@@ -2015,7 +2015,6 @@ static dev_link_t *wl3501_attach(void)
 	link->next		 = wl3501_dev_list;
 	wl3501_dev_list		 = link;
 	client_reg.dev_info	 = &wl3501_dev_info;
-	client_reg.Attributes	 = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask	 = CS_EVENT_CARD_INSERTION |
 				   CS_EVENT_RESET_PHYSICAL |
 				   CS_EVENT_CARD_RESET |
diff -puN drivers/parport/parport_cs.c~pcmcia-remove-client_attributes drivers/parport/parport_cs.c
--- 25/drivers/parport/parport_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.800612216 -0800
+++ 25-akpm/drivers/parport/parport_cs.c	2005-01-10 21:14:45.892598232 -0800
@@ -143,7 +143,6 @@ static dev_link_t *parport_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.EventMask =
 	CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/pcmcia/ds.c~pcmcia-remove-client_attributes drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.801612064 -0800
+++ 25-akpm/drivers/pcmcia/ds.c	2005-01-10 21:14:45.893598080 -0800
@@ -709,7 +709,6 @@ int pcmcia_register_client(client_handle
 	*handle = client;
 	client->state &= ~CLIENT_UNBOUND;
 	client->Socket = s;
-	client->Attributes = req->Attributes;
 	client->EventMask = req->EventMask;
 	client->event_handler = req->event_handler;
 	client->event_callback_args = req->event_callback_args;
diff -puN drivers/scsi/pcmcia/aha152x_stub.c~pcmcia-remove-client_attributes drivers/scsi/pcmcia/aha152x_stub.c
--- 25/drivers/scsi/pcmcia/aha152x_stub.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.819609328 -0800
+++ 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c	2005-01-10 21:14:45.894597928 -0800
@@ -145,7 +145,6 @@ static dev_link_t *aha152x_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.event_handler = &aha152x_event;
     client_reg.EventMask =
 	CS_EVENT_RESET_REQUEST | CS_EVENT_CARD_RESET |
diff -puN drivers/scsi/pcmcia/fdomain_stub.c~pcmcia-remove-client_attributes drivers/scsi/pcmcia/fdomain_stub.c
--- 25/drivers/scsi/pcmcia/fdomain_stub.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.820609176 -0800
+++ 25-akpm/drivers/scsi/pcmcia/fdomain_stub.c	2005-01-10 21:14:45.894597928 -0800
@@ -131,7 +131,6 @@ static dev_link_t *fdomain_attach(void)
     link->next = dev_list;
     dev_list = link;
     client_reg.dev_info = &dev_info;
-    client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
     client_reg.event_handler = &fdomain_event;
     client_reg.EventMask =
 	CS_EVENT_RESET_REQUEST | CS_EVENT_CARD_RESET |
diff -puN drivers/scsi/pcmcia/nsp_cs.c~pcmcia-remove-client_attributes drivers/scsi/pcmcia/nsp_cs.c
--- 25/drivers/scsi/pcmcia/nsp_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.822608872 -0800
+++ 25-akpm/drivers/scsi/pcmcia/nsp_cs.c	2005-01-10 21:14:45.896597624 -0800
@@ -1672,7 +1672,6 @@ static dev_link_t *nsp_cs_attach(void)
 	link->next               = dev_list;
 	dev_list                 = link;
 	client_reg.dev_info	 = &dev_info;
-	client_reg.Attributes	 = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask	 =
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 		CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET	|
diff -puN drivers/scsi/pcmcia/qlogic_stub.c~pcmcia-remove-client_attributes drivers/scsi/pcmcia/qlogic_stub.c
--- 25/drivers/scsi/pcmcia/qlogic_stub.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.823608720 -0800
+++ 25-akpm/drivers/scsi/pcmcia/qlogic_stub.c	2005-01-10 21:14:45.897597472 -0800
@@ -212,7 +212,6 @@ static dev_link_t *qlogic_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.event_handler = &qlogic_event;
 	client_reg.EventMask = CS_EVENT_RESET_REQUEST | CS_EVENT_CARD_RESET | CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL | CS_EVENT_PM_SUSPEND | CS_EVENT_PM_RESUME;
 	client_reg.Version = 0x0210;
diff -puN drivers/scsi/pcmcia/sym53c500_cs.c~pcmcia-remove-client_attributes drivers/scsi/pcmcia/sym53c500_cs.c
--- 25/drivers/scsi/pcmcia/sym53c500_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.825608416 -0800
+++ 25-akpm/drivers/scsi/pcmcia/sym53c500_cs.c	2005-01-10 21:14:45.897597472 -0800
@@ -995,7 +995,6 @@ SYM53C500_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.event_handler = &SYM53C500_event;
 	client_reg.EventMask = CS_EVENT_RESET_REQUEST | CS_EVENT_CARD_RESET |
 	    CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
diff -puN drivers/serial/serial_cs.c~pcmcia-remove-client_attributes drivers/serial/serial_cs.c
--- 25/drivers/serial/serial_cs.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.834607048 -0800
+++ 25-akpm/drivers/serial/serial_cs.c	2005-01-10 21:14:45.898597320 -0800
@@ -237,7 +237,6 @@ static dev_link_t *serial_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 	    CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	    CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN drivers/telephony/ixj_pcmcia.c~pcmcia-remove-client_attributes drivers/telephony/ixj_pcmcia.c
--- 25/drivers/telephony/ixj_pcmcia.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.848604920 -0800
+++ 25-akpm/drivers/telephony/ixj_pcmcia.c	2005-01-10 21:14:45.899597168 -0800
@@ -69,7 +69,6 @@ static dev_link_t *ixj_attach(void)
 	link->next = dev_list;
 	dev_list = link;
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask =
 	    CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL |
 	    CS_EVENT_RESET_PHYSICAL | CS_EVENT_CARD_RESET |
diff -puN include/pcmcia/cs.h~pcmcia-remove-client_attributes include/pcmcia/cs.h
--- 25/include/pcmcia/cs.h~pcmcia-remove-client_attributes	2005-01-10 21:14:45.849604768 -0800
+++ 25-akpm/include/pcmcia/cs.h	2005-01-10 21:14:45.899597168 -0800
@@ -124,7 +124,7 @@ typedef struct client_req_t {
 /* For RegisterClient */
 typedef struct client_reg_t {
     dev_info_t	*dev_info;
-    u_int	Attributes;
+    u_int	Attributes;  /* UNUSED */
     u_int	EventMask;
     int		(*event_handler)(event_t event, int priority,
 				 event_callback_args_t *);
@@ -279,7 +279,7 @@ typedef struct win_req_t {
 #define WIN_BAR_MASK		0xe000
 #define WIN_BAR_SHIFT		13
 
-/* Attributes for RegisterClient */
+/* Attributes for RegisterClient -- UNUSED -- */
 #define INFO_MASTER_CLIENT	0x01
 #define INFO_IO_CLIENT		0x02
 #define INFO_MTD_CLIENT		0x04
diff -puN include/pcmcia/ds.h~pcmcia-remove-client_attributes include/pcmcia/ds.h
--- 25/include/pcmcia/ds.h~pcmcia-remove-client_attributes	2005-01-10 21:14:45.850604616 -0800
+++ 25-akpm/include/pcmcia/ds.h	2005-01-10 21:14:45.900597016 -0800
@@ -163,7 +163,6 @@ struct pcmcia_device {
 		struct pcmcia_socket	*Socket;
 		u_char			Function;
 		dev_info_t		dev_info;
-		u_int			Attributes;
 		u_int			state;
 		event_t			EventMask;
 		int (*event_handler)	(event_t event, int priority,
diff -puN sound/pcmcia/pdaudiocf/pdaudiocf.c~pcmcia-remove-client_attributes sound/pcmcia/pdaudiocf/pdaudiocf.c
--- 25/sound/pcmcia/pdaudiocf/pdaudiocf.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.852604312 -0800
+++ 25-akpm/sound/pcmcia/pdaudiocf/pdaudiocf.c	2005-01-10 21:14:45.900597016 -0800
@@ -183,7 +183,6 @@ static dev_link_t *snd_pdacf_attach(void
 
 	/* Register with Card Services */
 	client_reg.dev_info = &dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask = 
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL
 #ifdef CONFIG_PM
diff -puN sound/pcmcia/vx/vx_entry.c~pcmcia-remove-client_attributes sound/pcmcia/vx/vx_entry.c
--- 25/sound/pcmcia/vx/vx_entry.c~pcmcia-remove-client_attributes	2005-01-10 21:14:45.853604160 -0800
+++ 25-akpm/sound/pcmcia/vx/vx_entry.c	2005-01-10 21:14:45.901596864 -0800
@@ -175,7 +175,6 @@ dev_link_t *snd_vxpocket_attach(struct s
 	/* Register with Card Services */
 	memset(&client_reg, 0, sizeof(client_reg));
 	client_reg.dev_info = hw->dev_info;
-	client_reg.Attributes = INFO_IO_CLIENT | INFO_CARD_SHARE;
 	client_reg.EventMask = 
 		CS_EVENT_CARD_INSERTION | CS_EVENT_CARD_REMOVAL
 #ifdef CONFIG_PM
_
